# Type alias StructureChanges

StructureChanges: { pdfInfo: { fingerprint: string; fingerprints?: string[]; numPages: number }; resultStructure: number[]; structureChanges: PageStructureChange[]; touchedAnnotations?: { annotationId: string; pageIndex: number }[] }

Document structure changes.

#### Type declaration

- ##### pdfInfo: { fingerprint: string; fingerprints?: string[]; numPages: number }

  - ##### fingerprint: string

  - ##### `Optional` fingerprints?: string[]

  - ##### numPages: number

- ##### resultStructure: number[]

- ##### structureChanges: PageStructureChange[]

- ##### `Optional` touchedAnnotations?: { annotationId: string; pageIndex: number }[]